Bug 812718 - blocker cert link goes to bugzilla rather than hwcert catalog
blocker cert link goes to bugzilla rather than hwcert catalog
Status: CLOSED CURRENTRELEASE
Product: Red Hat Hardware Certification Program
Classification: Red Hat
Component: Hardware Catalog (Show other bugs)
3.2
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tony Fu
:
Depends On:
Blocks: 733411
  Show dependency treegraph
 
Reported: 2012-04-16 00:56 EDT by Tony Fu
Modified: 2012-06-06 00:20 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-06 00:20:55 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tony Fu 2012-04-16 00:56:57 EDT
Description of problem:


When user clicks a blocker cert link in "Internal Relationships" section, it goes to the corresponding bug page in bugzilla.  I think it should go to the corresponding cert page in hwcert catalog
 
How reproducible:


Steps to Reproduce:
1. Open a cert with blockers in "Internal Relationships" section.
2. Click the blocker link
3.
  
Actual results:

The page goes to the corresponding bug page on bugzilla website

Expected results:

The page should go to the corresponding cert page on hwcert catalog rather than bugzilla web site

Additional info:
Comment 1 Tony Fu 2012-04-16 01:03:38 EDT
Created attachment 577621 [details]
bug fix patch
Comment 2 Rob Landry 2012-04-16 14:09:34 EDT
We'd need to know the product ID of the linked BZ to say that is a hwcert and not a blocking bug that is preventing the cert.  I think this patch doesn't do that check?
Comment 3 Tony Fu 2012-04-17 03:10:21 EDT
(In reply to comment #2)
> We'd need to know the product ID of the linked BZ to say that is a hwcert and
> not a blocking bug that is preventing the cert.  I think this patch doesn't do
> that check?

Add code to check if the blocked/dependon bug is hwcert cert bug or a normal bug.  If it is a hwcert cert bug, the link will go to catalog, otherwise the link will go to bugzilla.
Comment 4 Tony Fu 2012-04-17 03:11:52 EDT
Created attachment 577923 [details]
bug fix patch

add code to check if the blocked/dependson is a cert bug or a normal bz bug
Comment 7 Pengfei Xue 2012-05-07 22:43:53 EDT
verified on web2
Comment 8 Wei Shen 2012-05-23 05:59:29 EDT
verified on partner
Comment 9 Tony Fu 2012-06-06 00:20:55 EDT
verified on live.

Closing this bug.

Note You need to log in before you can comment on or make changes to this bug.